Bug 125816 - RFE: extend support for /etc/sysconfig/desktop preference to encompass installable Xclients optional desktops
RFE: extend support for /etc/sysconfig/desktop preference to encompass instal...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 15:20 EDT by Jef Spaleta
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-26 12:41:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jef Spaleta 2004-06-11 15:20:21 EDT
Description of problem:
Right now /etc/X11/xinit/Xclients uses hardcoded GNOME/KDE/WMAKER
case switch when parsing /etc/sysconfig/desktop. I would like
to extend the functionality of using sysconfig/desktop to set a system
wide default to access the alternative environments that
are installed via Xclients.* files in /usr/share/switchdesk/

For example after installing fluxbox I would like to be able
to set DESKTOP="FLUXBOX" or DESKTOP="XFCE" and have the default logic
in /etc/X11/xinit/Xclients  parse that preference and run the
associated /usr/share/switchdesk/Xclients.*


Feel free to tell me I'm smoking crack, but if this is something worth
pursuing I could probably mock up so rather horrid example script
logic to replace the hardcoded case logic in xinit/Xclients with a
parse of /usr/share/switchdesk as Xsession does.

-jef





Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthew Miller 2005-04-26 11:17:04 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Mike A. Harris 2005-04-26 12:41:27 EDT
I've implemented Xclients.d support in rawhide xinitrc for about a month
now which seems to match more or less what's being requested here.

Closing as fixed in RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.